Bug 28470 - Typo: Are you sure you with to chart this report?
Summary: Typo: Are you sure you with to chart this report?
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23626
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-27 06:53 UTC by Katrin Fischer
Modified: 2021-11-11 01:46 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12


Attachments
Bug 28470: Typo: Are you sure you with to chart this report? (1.88 KB, patch)
2021-10-07 14:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28470: Typo: Are you sure you with to chart this report? (1.92 KB, patch)
2021-10-08 10:33 UTC, David Nind
Details | Diff | Splinter Review
Bug 28470: Typo: Are you sure you with to chart this report? (1.99 KB, patch)
2021-10-10 13:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-05-27 06:53:56 UTC
Typo:
koha-tmpl/intranet-tmpl/prog/en/modules/reports/guided_reports_start.tt:1392
Fetching full chart data for reports with many rows can cause performance issues. Are you sure you with to chart this report?
Comment 1 Owen Leonard 2021-10-07 14:28:22 UTC
Created attachment 125887 [details] [review]
Bug 28470: Typo: Are you sure you with to chart this report?

This patch corrects the text of a warning on the report results page,
from this:

_("Fetching full chart data for reports with many rows can cause
performance issues. Are you sure you with to chart this report?")

...to this:

_("Fetching full chart data for reports with many rows can cause
performance issues. Are you sure you want to chart this report?")

To test, apply the patch and go to Reports -> Use saved.

 - Run a report which, unlimited, will return more than 1000 rows.
 - Click the "Fetch all data for chart" button.
 - You should be asked for confirmation. Check that the text is correct.
Comment 2 David Nind 2021-10-08 10:33:49 UTC
Created attachment 125952 [details] [review]
Bug 28470: Typo: Are you sure you with to chart this report?

This patch corrects the text of a warning on the report results page,
from this:

_("Fetching full chart data for reports with many rows can cause
performance issues. Are you sure you with to chart this report?")

...to this:

_("Fetching full chart data for reports with many rows can cause
performance issues. Are you sure you want to chart this report?")

To test, apply the patch and go to Reports -> Use saved.

 - Run a report which, unlimited, will return more than 1000 rows.
 - Click the "Fetch all data for chart" button.
 - You should be asked for confirmation. Check that the text is correct.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-10 13:24:46 UTC
Created attachment 126022 [details] [review]
Bug 28470: Typo: Are you sure you with to chart this report?

This patch corrects the text of a warning on the report results page,
from this:

_("Fetching full chart data for reports with many rows can cause
performance issues. Are you sure you with to chart this report?")

...to this:

_("Fetching full chart data for reports with many rows can cause
performance issues. Are you sure you want to chart this report?")

To test, apply the patch and go to Reports -> Use saved.

 - Run a report which, unlimited, will return more than 1000 rows.
 - Click the "Fetch all data for chart" button.
 - You should be asked for confirmation. Check that the text is correct.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-12 09:18:20 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-22 13:53:06 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Fridolin Somers 2021-11-10 23:26:29 UTC
Pushed to 20.11.x for 20.11.12
Comment 7 Victor Grousset/tuxayo 2021-11-11 01:46:39 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.